<?php
require_once 'config.php';

// 获取查询参数
$query = isset($_GET['query']) ? trim($_GET['query']) : '';

if (empty($query)) {
    echo json_encode(['error' => '请输入搜索内容']);
    exit;
}

try {
    // 准备SQL语句 - 同时搜索名称、条码和盒码
    $stmt = $pdo->prepare("
        SELECT * FROM cigarettes 
        WHERE name LIKE :query 
           OR barcode LIKE :query 
           OR box_code LIKE :query
        ORDER BY id DESC
    ");
    
    // 执行查询
    $stmt->execute([':query' => "%$query%"]);
    $results = $stmt->fetchAll();
    
    // 返回结果
    header('Content-Type: application/json');
    echo json_encode($results);
    
} catch (PDOException $e) {
    // 记录错误日志
    error_log("搜索错误: " . $e->getMessage());
    
    // 返回错误信息
    header('Content-Type: application/json');
    echo json_encode([
        'error' => '搜索过程中发生错误',
        'details' => DEBUG_MODE ? $e->getMessage() : null
    ]);
}
?>