<?php
// 默认页面标题
if (!isset($page_title)) {
    $page_title = '香烟管理系统';
}
?>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo htmlspecialchars($page_title); ?></title>
    
    <!-- CSS 资源 -->
    <link rel="stylesheet" href="/assets/css/style.css">
    
    <!-- Favicon -->
    <link rel="icon" href="/favicon.ico" type="image/x-icon">
    
    <!-- 响应式meta标签 -->
    <meta name="robots" content="noindex, nofollow">
    <meta name="description" content="香烟信息管理系统">
</head>
<body>
    <header class="site-header">
        <div class="container">
            <div class="header-content">
                <h1 class="site-title">
                    <a href="/">香烟管理系统</a>
                </h1>
                
                <nav class="main-nav">
                    <?php if (isset($is_admin_page) && $is_admin_page): ?>
                        <span class="welcome-msg">欢迎, <?php echo htmlspecialchars($_SESSION['username'] ?? '管理员'); ?></span>
                        <a href="/admin/manage.php">数据管理</a>
                        <a href="/admin/logout.php">退出</a>
                    <?php else: ?>
                        <a href="/">首页</a>
                        <?php if (!isset($hide_admin_link)): ?>
                            <a href="/login.php">管理员登录</a>
                        <?php endif; ?>
                    <?php endif; ?>
                </nav>
            </div>
        </div>
    </header>

    <main class="main-content container">
        <!-- 显示操作消息 -->
        <?php if (isset($_SESSION['flash_message'])): ?>
            <div class="alert alert-<?php echo $_SESSION['flash_message_type'] ?? 'info'; ?>">
                <?php echo htmlspecialchars($_SESSION['flash_message']); ?>
            </div>
            <?php unset($_SESSION['flash_message'], $_SESSION['flash_message_type']); ?>
        <?php endif; ?>
        
        <!-- 页面特定内容 -->
        <div class="content-wrapper">