<?php
require_once 'config.php';

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: POST');
header('Access-Control-Allow-Headers: Content-Type');

// 允许上传的图片类型
$allowed_types = ['image/jpeg', 'image/png', 'image/gif'];
$max_size = 2 * 1024 * 1024; // 2MB

if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
    echo json_encode(['error' => '只接受POST请求']);
    exit;
}

if (!isset($_FILES['image'])) {
    echo json_encode(['error' => '没有上传文件']);
    exit;
}

$file = $_FILES['image'];

// 验证文件类型
if (!in_array($file['type'], $allowed_types)) {
    echo json_encode(['error' => '只允许上传JPG、PNG或GIF图片']);
    exit;
}

// 验证文件大小
if ($file['size'] > $max_size) {
    echo json_encode(['error' => '图片大小不能超过2MB']);
    exit;
}

// 生成唯一文件名
$ext = pathinfo($file['name'], PATHINFO_EXTENSION);
$filename = uniqid() . '.' . $ext;
$upload_path = '../uploads/' . $filename;

// 移动文件到上传目录
if (move_uploaded_file($file['tmp_name'], $upload_path)) {
    // 返回可访问的URL
    $image_url = 'http://' . $_SERVER['HTTP_HOST'] . '/smoke-api/uploads/' . $filename;
    echo json_encode(['success' => true, 'image_url' => $image_url]);
} else {
    echo json_encode(['error' => '文件上传失败']);
}
?>